%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define version 1.1.2
%define kderelease 2
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdegames
Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Games
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Group: Amusements/Games
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}

%description
Games for the K Desktop Environment.
Included with this package are: kabalone, kasteroids, kblackbox, kmahjongg,
kmines, konquest, kpat, kpoker, kreversi, ksame, kshisen, ksokoban, ksmiletris,
ksnake, ksirtet.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdegames-%{version}

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

# remove things we don't want
sed -e '/\/kasteroids/s|^|#|' > \
	$RPM_BUILD_DIR/file.list.%{kdename}.new < \
	$RPM_BUILD_DIR/file.list.%{kdename}
mv $RPM_BUILD_DIR/file.list.%{kdename}.new \
	$RPM_BUILD_DIR/file.list.%{kdename}
sed -e '/\/ksirtet/s|^|#|' > \
	$RPM_BUILD_DIR/file.list.%{kdename}.new < \
	$RPM_BUILD_DIR/file.list.%{kdename}
mv $RPM_BUILD_DIR/file.list.%{kdename}.new \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>-
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

